Extending Qt Creator Manual | IFunctionHintProposalModel

Extending Qt Creator Manual 4.5.2

# IFunctionHintProposalModel Class

(TextEditor::IFunctionHintProposalModel)

Inherits: | TextEditor::IAssistProposalModel

- List of all members, including inherited members

## Public Functions

| IFunctionHintProposalModel()
| ~IFunctionHintProposalModel()
virtual int | activeArgument(const QString &prefix) const = 0
virtual QString | id(int index) const

- 3 public functions inherited from TextEditor::IAssistProposalModel

## Member Function Documentation

### IFunctionHintProposalModel::IFunctionHintProposalModel()

Default constructs an instance of IFunctionHintProposalModel.

### IFunctionHintProposalModel::~IFunctionHintProposalModel()

Destroys the instance of IFunctionHintProposalModel.

### `[pure virtual]` int IFunctionHintProposalModel::activeArgument(const QString &prefix) const

### `[virtual]` QString IFunctionHintProposalModel::id(int index) const